API Endpoint

post

Add participants to a program by providing the campaign ID and their email address. Optionally, if a 'referredByCode' or 'referredByEmail' is provided, the user will be added as a referral to the participant with the corresponding code.

Body
idstringRequired

The ID of the campaign.

Example: JCu82f30F1
emailstringRequired

The email address of the participant.

Example: johndoe@example.com
referredByCodestringOptional

Referral code of the participant referring.

Example: 7ZZp9eBG
referredByEmailstringOptional

Email of the participant referring.

Example: john@gmail.com
Responses
chevron-right
200

OK

application/json
emailstringOptional

The email address of the participant.

Example: johndoe@example.com
firstNamestringOptional

The first name of the participant.

Example: john
lastNamestringOptional

The last name of the participant.

Example: doe
referralCodestringOptional

The unique referral code of the participant.

Example: 8Mnu09TD
referredByCodestringOptional

The referral code of the invitee.

Example: 7ZZp9eBG
createdOnstring · date-timeOptional

The datetime when participant joined the program.

Example: 2023-11-04T15:41:08.828+00:00
campaignIdstringOptional

The campaign Id of the program participant is part of.

Example: JCu82f30F1
shareLinkstringOptional

The unique referral link of the participant.

Example: https://referralrocket.io/campaign?id=JCu82f30F1&referralCode=8Mnu09TD
totalReferralsintegerOptional

The total referrals made by the participant.

Example: 0
referralRewardintegerOptional

The total rewards earned by referrals.

Example: 0
referralRewardRedeemedintegerOptional

The total referral reward redeemed.

Example: 0
referralRewardBalanceintegerOptional

The total referral balance left.

Example: 0
refereeRewardintegerOptional

The total rewards earned by joining the program.

Example: 20
refereeRewardRedeemedintegerOptional

The total referee reward redeemed.

Example: 0
refereeRewardBalanceintegerOptional

The total referee balance left.

Example: 0
rewardEventCompletedbooleanOptional

The Boolean flag to indicate if the participant fulfilled the event required to earn the reward.

Example: false
fraudScorestringOptional

The fraud score of the participant. Will be empty for participant created via APIs.

Example: Low
post
/api/v1/addParticipant
get

Get campaign program details for the given Id.

Query parameters
idstringRequired

Campaign Id

Responses
chevron-right
200

OK

application/json
campaignIdstringOptional

The ID of the campaign.

Example: JCu82f30F1
campaignNamestringOptional

The name of the campaign.

Example: Q4 Growth Program
statusstring · enumOptional

Campaign status. [Active, Pause, End].

Example: ActivePossible values:
createdOnstring · date-timeOptional

Campaign creation date.

Example: 2023-10-11T00:36:27.753+00:00
endstring · date-timeOptional

Campaign end date if set.

Example: 2024-10-11T00:36:27.753+00:00
hostURLstringOptional

Campaign URL.

Example: https://referralrocket.io/campaign?id=JCu82f30F1
pausedbooleanOptional

The flag indicates if the campaign is paused or not.

Example: false
endedbooleanOptional

The flag indicates if the campaign has ended or not.

Example: false
rewardHeaderstringOptional

Campaign reward header.

Example: Refer a friend and win
rewardDescriptionstringOptional

Campaign reward description.

Example: Give friends $20 off their first order, and you'll get $20 when they make a purchase.
shareHeaderstringOptional

Campaign share widget header.

Example: Refer a friend and win
shareDescriptionstringOptional

Campaign share widget description.

Example: Use your unique link to give friends $20 off their first order, and you'll get $20 when they make a purchase.
referrerRewardValueintegerOptional

Referrer reward value.

Example: 20
refereeRewardValueintegerOptional

Referee reward value.

Example: 20
rewardTypestringOptional

Reward type.

Example: Monetary
participantsintegerOptional

Total participant in the campaign.

Example: 8
get
/api/v1/getCampaign
get

Validate referrer code for a campaign.

Query parameters
campaignIdstringRequired

Campaign Id

codestringRequired

Code

Responses
chevron-right
200

OK

application/json
booleanOptional
get
/api/v1/validateCode
200

OK

get

Get participant details for given campaign Id and email.

Query parameters
emailstringRequired

Email address of the participant

idstringRequired

Campaign Id

Responses
chevron-right
200

OK

application/json
emailstringOptional

The email address of the participant.

Example: johndoe@example.com
firstNamestringOptional

The first name of the participant.

Example: john
lastNamestringOptional

The last name of the participant.

Example: doe
referralCodestringOptional

The unique referral code of the participant.

Example: 8Mnu09TD
referredByCodestringOptional

The referral code of the invitee.

Example: 7ZZp9eBG
createdOnstring · date-timeOptional

The datetime when participant joined the program.

Example: 2023-11-04T15:41:08.828+00:00
campaignIdstringOptional

The campaign Id of the program participant is part of.

Example: JCu82f30F1
shareLinkstringOptional

The unique referral link of the participant.

Example: https://referralrocket.io/campaign?id=JCu82f30F1&referralCode=8Mnu09TD
totalReferralsintegerOptional

The total referrals made by the participant.

Example: 0
referralRewardintegerOptional

The total rewards earned by referrals.

Example: 0
referralRewardRedeemedintegerOptional

The total referral reward redeemed.

Example: 0
referralRewardBalanceintegerOptional

The total referral balance left.

Example: 0
refereeRewardintegerOptional

The total rewards earned by joining the program.

Example: 20
refereeRewardRedeemedintegerOptional

The total referee reward redeemed.

Example: 0
refereeRewardBalanceintegerOptional

The total referee balance left.

Example: 0
rewardEventCompletedbooleanOptional

The Boolean flag to indicate if the participant fulfilled the event required to earn the reward.

Example: false
fraudScorestringOptional

The fraud score of the participant. Will be empty for participant created via APIs.

Example: Low
get
/api/v1/getParticipant
200

OK

get

Get all participants of a campaign. API returns 20 records at a time. You can adjust the size by passing in the Pageable params.

Query parameters
idstringRequired

Campaign Id

Responses
chevron-right
200

OK

application/json
emailstringOptional

The email address of the participant.

Example: johndoe@example.com
firstNamestringOptional

The first name of the participant.

Example: john
lastNamestringOptional

The last name of the participant.

Example: doe
referralCodestringOptional

The unique referral code of the participant.

Example: 8Mnu09TD
referredByCodestringOptional

The referral code of the invitee.

Example: 7ZZp9eBG
createdOnstring · date-timeOptional

The datetime when participant joined the program.

Example: 2023-11-04T15:41:08.828+00:00
campaignIdstringOptional

The campaign Id of the program participant is part of.

Example: JCu82f30F1
shareLinkstringOptional

The unique referral link of the participant.

Example: https://referralrocket.io/campaign?id=JCu82f30F1&referralCode=8Mnu09TD
totalReferralsintegerOptional

The total referrals made by the participant.

Example: 0
referralRewardintegerOptional

The total rewards earned by referrals.

Example: 0
referralRewardRedeemedintegerOptional

The total referral reward redeemed.

Example: 0
referralRewardBalanceintegerOptional

The total referral balance left.

Example: 0
refereeRewardintegerOptional

The total rewards earned by joining the program.

Example: 20
refereeRewardRedeemedintegerOptional

The total referee reward redeemed.

Example: 0
refereeRewardBalanceintegerOptional

The total referee balance left.

Example: 0
rewardEventCompletedbooleanOptional

The Boolean flag to indicate if the participant fulfilled the event required to earn the reward.

Example: false
fraudScorestringOptional

The fraud score of the participant. Will be empty for participant created via APIs.

Example: Low
get
/api/v1/getAllParticipants
200

OK

get

Return all referrals of a participant. The API returns 20 records at a time. You can adjust the size by passing the Pageable params.

Query parameters
idstringRequired

Campaign Id

emailstringRequired

Email address of the participant

Responses
chevron-right
200

OK

application/json
emailstringOptional

The email address of the participant.

Example: johndoe@example.com
firstNamestringOptional

The first name of the participant.

Example: john
lastNamestringOptional

The last name of the participant.

Example: doe
referralCodestringOptional

The unique referral code of the participant.

Example: 8Mnu09TD
referredByCodestringOptional

The referral code of the invitee.

Example: 7ZZp9eBG
createdOnstring · date-timeOptional

The datetime when participant joined the program.

Example: 2023-11-04T15:41:08.828+00:00
campaignIdstringOptional

The campaign Id of the program participant is part of.

Example: JCu82f30F1
shareLinkstringOptional

The unique referral link of the participant.

Example: https://referralrocket.io/campaign?id=JCu82f30F1&referralCode=8Mnu09TD
totalReferralsintegerOptional

The total referrals made by the participant.

Example: 0
referralRewardintegerOptional

The total rewards earned by referrals.

Example: 0
referralRewardRedeemedintegerOptional

The total referral reward redeemed.

Example: 0
referralRewardBalanceintegerOptional

The total referral balance left.

Example: 0
refereeRewardintegerOptional

The total rewards earned by joining the program.

Example: 20
refereeRewardRedeemedintegerOptional

The total referee reward redeemed.

Example: 0
refereeRewardBalanceintegerOptional

The total referee balance left.

Example: 0
rewardEventCompletedbooleanOptional

The Boolean flag to indicate if the participant fulfilled the event required to earn the reward.

Example: false
fraudScorestringOptional

The fraud score of the participant. Will be empty for participant created via APIs.

Example: Low
get
/api/v1/getReferrals
200

OK

post

Mark qualifying event complete for a participant. Marking a qualifying event complete for a participant will result in the referrer being eligible for a reward. Only referred participants can be can complete a qualifying event and hence marked as qualified.

Body
idstringRequired

The ID of the campaign.

Example: JCu82f30F1
emailstringRequired

The email address of the participant.

Example: johndoe@example.com
amountPaidstringOptional

Amount spent/paid by participant.

Example: 250
Responses
chevron-right
200

OK

application/json
emailstringOptional

The email address of the participant.

Example: johndoe@example.com
firstNamestringOptional

The first name of the participant.

Example: john
lastNamestringOptional

The last name of the participant.

Example: doe
referralCodestringOptional

The unique referral code of the participant.

Example: 8Mnu09TD
referredByCodestringOptional

The referral code of the invitee.

Example: 7ZZp9eBG
createdOnstring · date-timeOptional

The datetime when participant joined the program.

Example: 2023-11-04T15:41:08.828+00:00
campaignIdstringOptional

The campaign Id of the program participant is part of.

Example: JCu82f30F1
shareLinkstringOptional

The unique referral link of the participant.

Example: https://referralrocket.io/campaign?id=JCu82f30F1&referralCode=8Mnu09TD
totalReferralsintegerOptional

The total referrals made by the participant.

Example: 0
referralRewardintegerOptional

The total rewards earned by referrals.

Example: 0
referralRewardRedeemedintegerOptional

The total referral reward redeemed.

Example: 0
referralRewardBalanceintegerOptional

The total referral balance left.

Example: 0
refereeRewardintegerOptional

The total rewards earned by joining the program.

Example: 20
refereeRewardRedeemedintegerOptional

The total referee reward redeemed.

Example: 0
refereeRewardBalanceintegerOptional

The total referee balance left.

Example: 0
rewardEventCompletedbooleanOptional

The Boolean flag to indicate if the participant fulfilled the event required to earn the reward.

Example: false
fraudScorestringOptional

The fraud score of the participant. Will be empty for participant created via APIs.

Example: Low
post
/api/v1/qualifyParticipant
200

OK

Last updated